[Home]Java Questions

Robo Home | Changes | Preferences | AllPages

A page to post general questions about the Java programming language

I thought i needed it, but just found an answer to my question. But i am sure there will be more questions soon... --Loki

I was trying to trying to edit the HCBot (read about it at JustForFun), and I got these weird errors...

compiled, but
Semantic Error: Type "control.Control" was not found.
when compiling with jikes, and similar when compiling with javac. Any ideas? -- Alphax
Is the standard Java version among Robocoders v1.4.2? Like when I decide to enter a tank into the RoboRumble, it should be compiled in 1.4.2? (Or does it not matter past a certain version number?) I use 1.5 generally, but I still have 1.4.2 installed. -- Voidious

I am using Eclipse and Java2 1.5 (or whatever the title is). I was using an older version but then I couldn't run bots my friend was sending me (in 1.5). There may be people with issues running bots in current versions of Java but frankly that's not my concern. Sorry.

Regarding Alphax, all that comes to mind is that you don't need to specify the package of classes in the same package. They aren't even in your import section. It is implied with the package identification. Then again maybe I am misinterpreting the error. - Martin Alan Pedersen

I am using Java 1.5, but when compiling (with Jikes 1.22 in my case) I use a flag to generate 1.4.2 compatible code. So my client is capable of running any bot (except florent.ToadRRGC? and apv.TheBrainPi) and I deliver bots that everyone should be able to run. --GrubbmGait

Robo Home | Changes | Preferences | AllPages
Edit text of this page | View other revisions
Last edited October 26, 2005 22:44 EST by GrubbmGait (diff)